JUCE: MPEZoneLayout::Zone Struct Reference

JUCE

Public Member Functions | Public Attributes | List of all members
MPEZoneLayout::Zone Struct Reference

This struct represents an MPE zone. More...

## Public Member Functions
| Zone (const Zone &other)=default
bool | isLowerZone () const noexcept
bool | isUpperZone () const noexcept
bool | isActive () const noexcept
int | getMasterChannel () const noexcept
int | getFirstMemberChannel () const noexcept
int | getLastMemberChannel () const noexcept
bool | isUsingChannelAsMemberChannel (int channel) const noexcept
bool | isUsing (int channel) const noexcept
bool | operator== (const Zone &other) const noexcept
bool | operator!= (const Zone &other) const noexcept

## Public Attributes
int | numMemberChannels
int | perNotePitchbendRange
int | masterPitchbendRange

## Detailed Description

This struct represents an MPE zone.

It can either be a lower or an upper zone, where:

- A lower zone encompasses master channel 1 and an arbitrary number of ascending MIDI channels, increasing from channel 2.
- An upper zone encompasses master channel 16 and an arbitrary number of descending MIDI channels, decreasing from channel 15.

It also defines a pitchbend range (in semitones) to be applied for per-note pitchbends and master pitchbends, respectively.

## Constructor & Destructor Documentation

## ◆ Zone()

MPEZoneLayout::Zone::Zone | ( | const Zone & | other | ) |
| default

## Member Function Documentation

## ◆ isLowerZone()

bool MPEZoneLayout::Zone::isLowerZone | ( |  | ) | const
| noexcept

## ◆ isUpperZone()

bool MPEZoneLayout::Zone::isUpperZone | ( |  | ) | const
| noexcept

## ◆ isActive()

bool MPEZoneLayout::Zone::isActive | ( |  | ) | const
| noexcept

## ◆ getMasterChannel()

int MPEZoneLayout::Zone::getMasterChannel | ( |  | ) | const
| noexcept

## ◆ getFirstMemberChannel()

int MPEZoneLayout::Zone::getFirstMemberChannel | ( |  | ) | const
| noexcept

## ◆ getLastMemberChannel()

int MPEZoneLayout::Zone::getLastMemberChannel | ( |  | ) | const
| noexcept

## ◆ isUsingChannelAsMemberChannel()

bool MPEZoneLayout::Zone::isUsingChannelAsMemberChannel | ( | int | channel | ) | const
| noexcept

## ◆ isUsing()

bool MPEZoneLayout::Zone::isUsing | ( | int | channel | ) | const
| noexcept

## ◆ operator==()

bool MPEZoneLayout::Zone::operator== | ( | const Zone & | other | ) | const
| noexcept

References masterPitchbendRange, numMemberChannels, and perNotePitchbendRange.

## ◆ operator!=()

bool MPEZoneLayout::Zone::operator!= | ( | const Zone & | other | ) | const
| noexcept

References operator==().

## Member Data Documentation

## ◆ numMemberChannels

int MPEZoneLayout::Zone::numMemberChannels

Referenced by operator==().

## ◆ perNotePitchbendRange

int MPEZoneLayout::Zone::perNotePitchbendRange

Referenced by operator==().

## ◆ masterPitchbendRange

int MPEZoneLayout::Zone::masterPitchbendRange

Referenced by operator==().

The documentation for this struct was generated from the following file:

- juce_MPEZoneLayout.h